summaryrefslogtreecommitdiffstats
path: root/tools/h5diff/testh5diff.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/h5diff/testh5diff.sh')
-rwxr-xr-xtools/h5diff/testh5diff.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tools/h5diff/testh5diff.sh b/tools/h5diff/testh5diff.sh
index cb91a19..a208acf 100755
--- a/tools/h5diff/testh5diff.sh
+++ b/tools/h5diff/testh5diff.sh
@@ -318,11 +318,9 @@ COPY_TESTFILES_TO_TESTDIR()
echo $tstfile | tr -d ' ' | grep '^#' > /dev/null
RET=$?
if [ $RET -eq 1 ]; then
- if [ -a $tstfile ]; then
- $CP -f $tstfile $TESTDIR
- else
+ $CP -f $tstfile $TESTDIR
+ if [ $? -ne 0 ]; then
echo "Error: FAILED to copy $tstfile ."
- echo " $tstfile doesn't exist!"
# Comment out this to CREATE expected file
exit $EXIT_FAILURE